Update feed (v1)
PUT
https://api.casafari.com/api/v1/listing-alerts/feeds/{id}/updateBearer token57 parameters
Send Authorization: Bearer $CASAFARI_TOKEN; see how to get a token.
Over MCP: no tool does this. MCP and REST compared.
Description
Update alerts feed by id.
Path parameters
idstringrequiredA unique integer value identifying this alerts feed.
Request body
Content type application/json. Optional. Type: object.
namestringrequiredName of the feed.
at most 200 characters
filterobjectrequiredSet of clauses to filter alerts.
50 properties
operationstringrequiredOperation type.
sale rentlocation_idsinteger[]List of location IDs, as returned by the POST /api/v1/references/locations endpoint.
at most 100 items1–2147483647
custom_locationobject[]Closed polygon of geo-points to search within. First and last points must match. This field is deprecated and will be removed in the next major update. Please, use
custom_locations field instead.at least 4 items
2 properties
latitudenumberrequiredLatitude.
-90–90
longitudenumberrequiredLongitude.
-180–180
custom_locationsobject[][]List of closed polygons of geo-points to search within. Each polygon must contain at least 4 points. First and last points must match in each polygon. Maximum 4 polygons allowed.
at most 4 items
2 properties
latitudenumberrequiredLatitude.
-90–90
longitudenumberrequiredLongitude.
-180–180
typesstring[]Country availability per type is available at the GET /api/v1/references/types endpoint. Property types by type groups: apartment: penthouse, dachgeschosswohnung, erdgeschosswohnung, apartment, etagenwohnung, studio, duplex house: townhouse, reihenmittelhaus, landwirtschaftliche_betriebe, country_house, family_house (DEPRECATED), villa, palace, chalet, zweifamilienhaus, country_estate, reihenendhaus, reihenhaus, bungalow, einfamilienhaus, house room: room building: office_building, apartment_building, mix_use_building investment: retail, hotel, warehouse, office, restaurant, industrial, other_commercial, werkstatt plot: rural_plot, urban_plot, plot (DEPRECATED) other: garage, other, parking
40 allowed values
apartment studio duplex penthouse dachgeschosswohnung etagenwohnung erdgeschosswohnung country_house house palace townhouse villa country_estate chalet bungalow family_house reihenhaus reihenendhaus reihenmittelhaus einfamilienhaus zweifamilienhaus landwirtschaftliche_betriebe retail office industrial warehouse hotel other_commercial restaurant werkstatt plot urban_plot rural_plot room other garage parking apartment_building office_building mix_use_buildingconditionsstring[]Property conditions, as returned by the GET /api/v1/references/conditions endpoint.
used ruin very-good new otheralert_date_fromstring (date)Start date (in the format
YYYY-MM-DD) of the period for alerts of interest.alert_date_tostring (date)End date (in the format
YYYY-MM-DD) of the period for alerts of interest.created_at_fromstring (date-time)Start date and time (in the format
YYYY-MM-DDTHH:mm:ss) to filter alerts by their creation in the database (UTC). Useful for incremental sync to avoid fetching already fetched data.created_at_tostring (date-time)End date and time (in the format
YYYY-MM-DDTHH:mm:ss) to filter alerts by their creation in the database (UTC). Useful for incremental sync to avoid fetching already fetched data.created_at_with_photos_fromstring (date-time)Start date and time (in the format YYYY-MM-DDTHH:mm:ss) to filter alerts by their creation in the database (UTC), only including alerts for which photo processing has been completed. Use it to fetch alerts with already assigned photos.
Note: Some alerts may still not have photos if the original listing did not include any.
created_at_with_photos_tostring (date-time)End date and time (in the format YYYY-MM-DDTHH:mm:ss) to filter alerts by their creation in the database (UTC), only including alerts for which photo processing has been completed. Use it to fetch alerts with already assigned photos.
Note: Some alerts may still not have photos if the original listing did not include any.
statusesstring[]Current status of the listing.
active reserved hold sold rentedprice_fromintegerMinimum price value.
1–2147483647
price_tointegerMaximum price value.
1–2147483647
price_per_sqm_fromintegerMinimum value for price per square meter.
1–2147483647
price_per_sqm_tointegerMaximum value for price per square meter.
1–2147483647
bedrooms_fromintegerMinimum number of bedrooms.
0–15000
bedrooms_tointegerMaximum number of bedrooms.
0–15000
bathrooms_fromintegerMinimum number of bathrooms.
1–15000
bathrooms_tointegerMaximum number of bathrooms.
1–15000
total_area_fromintegerMinimum total area.
1–10000000
total_area_tointegerMaximum total area.
1–10000000
plot_area_fromintegerMinimum plot area.
1–10000000
plot_area_tointegerMaximum plot area.
1–10000000
construction_year_fromintegerMinimum construction year.
1–3000
construction_year_tointegerMaximum construction year.
1–3000
floorstringFloor type of the property. This field is deprecated and will be removed in the next major update. Please, use
floors field instead.no_floor ground middle topfloorsstring[]no_floor ground middle toporientationstringProperty view orientation.
exterior interiorviewstringView from the property. This field is deprecated and will be removed in the next major update. Please, use
views field instead.water landscape city golf parkviewsstring[]water landscape city golf parkdirectionstringCardinal direction the property faces. This field is deprecated and will be removed in the next major update. Please, use
directions field instead.north south east westdirectionsstring[]north south east westcharacteristicsstring[]Property characteristics.
balcony elevator no_elevator garage garden parking storage swimming_pool terrace rental_license furniture rented_out life_annuityalert_subtypesstring[]Alert subtypes.
new price_up price_down reserved delisted soldprivatebooleanWhether to return alerts only from properties listed by a private individual, as opposed to an agent or a professional.
auctionbooleanWhether to return alerts from auction property listings.
bankbooleanWhether to return alerts from bank property listings.
new_developmentbooleanWhether to return alerts from new development property listings.
listing_agentsstring[]Return alerts only for properties from specified agents. To find allowed agent names use the GET /api/v1/references/agents endpoint.
with_agenciesstring[]Return alerts only for properties from specified agencies, companies or sources. To find allowed agency names use the GET /api/v1/references/agencies endpoint.
without_agenciesstring[]Exclude alerts for properties from specified agencies, companies or sources. To find allowed agency names use the GET /api/v1/references/agencies endpoint.
exclusivebooleanWhether to return alerts exclusively from specific listings rather than from all related to the property listings. Can be passed only along with at least one of the fields:
private, with_agencies, without_agencies.ref_numbersstring[]List of reference numbers from listings.
has_phonebooleanWhether to return alerts only from listings with or without
phone number.has_emailbooleanWhether to return alerts only from listings with or without email.
has_agency_namebooleanWhether to return alerts only from listings with or without agency name.
property_idsinteger[]List of property IDs.
at most 100 items≥ 1
listing_idsinteger[]List of listing IDs.
at most 100 items≥ 1
Example request
Placeholders only: replace the token and the values with your own.
curl -X PUT "https://api.casafari.com/api/v1/listing-alerts/feeds/<id>/update" \
-H "Authorization: Bearer $CASAFARI_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"name": "Apartments for sale in Cascais, Oeiras, Lisbon",
"filter": {
"operation": "sale",
"types": [
"apartment",
"studio",
"duplex",
"penthouse"
],
"location_ids": [
2942,
1861,
1600
],
"conditions": [
"used",
"very-good",
"new"
],
"statuses": [
"active",
"reserved"
],
"price_from": 150000,
"price_to": 800000,
"price_per_sqm_from": 2000,
"price_per_sqm_to": 8000,
"bedrooms_from": 1,
"bedrooms_to": 3,
"total_area_from": 30,
"total_area_to": 130,
"construction_year_from": 1950,
"floors": [
"middle",
"top"
],
"views": [
"city"
],
"directions": [
"west",
"south"
],
"characteristics": [
"balcony",
"elevator",
"parking"
],
"private": false,
"new_development": false,
"has_agency_name": true,
"has_email": false,
"without_agencies": [
"Airbnb",
"Casa.Sapo"
]
}
}'Responses
200 OK
Type: object.
Show the response shape (58 fields)
idintegernamestringrequiredName of the feed.
at most 200 characters
filterobjectrequiredSet of clauses to filter alerts.
50 properties
operationstringrequiredOperation type.
sale rentlocation_idsinteger[]List of location IDs, as returned by the POST /api/v1/references/locations endpoint.
at most 100 items1–2147483647
custom_locationobject[]Closed polygon of geo-points to search within. First and last points must match. This field is deprecated and will be removed in the next major update. Please, use
custom_locations field instead.at least 4 items
2 properties
latitudenumberrequiredLatitude.
-90–90
longitudenumberrequiredLongitude.
-180–180
custom_locationsobject[][]List of closed polygons of geo-points to search within. Each polygon must contain at least 4 points. First and last points must match in each polygon. Maximum 4 polygons allowed.
at most 4 items
2 properties
latitudenumberrequiredLatitude.
-90–90
longitudenumberrequiredLongitude.
-180–180
typesstring[]Country availability per type is available at the GET /api/v1/references/types endpoint. Property types by type groups: apartment: penthouse, dachgeschosswohnung, erdgeschosswohnung, apartment, etagenwohnung, studio, duplex house: townhouse, reihenmittelhaus, landwirtschaftliche_betriebe, country_house, family_house (DEPRECATED), villa, palace, chalet, zweifamilienhaus, country_estate, reihenendhaus, reihenhaus, bungalow, einfamilienhaus, house room: room building: office_building, apartment_building, mix_use_building investment: retail, hotel, warehouse, office, restaurant, industrial, other_commercial, werkstatt plot: rural_plot, urban_plot, plot (DEPRECATED) other: garage, other, parking
40 allowed values
apartment studio duplex penthouse dachgeschosswohnung etagenwohnung erdgeschosswohnung country_house house palace townhouse villa country_estate chalet bungalow family_house reihenhaus reihenendhaus reihenmittelhaus einfamilienhaus zweifamilienhaus landwirtschaftliche_betriebe retail office industrial warehouse hotel other_commercial restaurant werkstatt plot urban_plot rural_plot room other garage parking apartment_building office_building mix_use_buildingconditionsstring[]Property conditions, as returned by the GET /api/v1/references/conditions endpoint.
used ruin very-good new otheralert_date_fromstring (date)Start date (in the format
YYYY-MM-DD) of the period for alerts of interest.alert_date_tostring (date)End date (in the format
YYYY-MM-DD) of the period for alerts of interest.created_at_fromstring (date-time)Start date and time (in the format
YYYY-MM-DDTHH:mm:ss) to filter alerts by their creation in the database (UTC). Useful for incremental sync to avoid fetching already fetched data.created_at_tostring (date-time)End date and time (in the format
YYYY-MM-DDTHH:mm:ss) to filter alerts by their creation in the database (UTC). Useful for incremental sync to avoid fetching already fetched data.created_at_with_photos_fromstring (date-time)Start date and time (in the format YYYY-MM-DDTHH:mm:ss) to filter alerts by their creation in the database (UTC), only including alerts for which photo processing has been completed. Use it to fetch alerts with already assigned photos.
Note: Some alerts may still not have photos if the original listing did not include any.
created_at_with_photos_tostring (date-time)End date and time (in the format YYYY-MM-DDTHH:mm:ss) to filter alerts by their creation in the database (UTC), only including alerts for which photo processing has been completed. Use it to fetch alerts with already assigned photos.
Note: Some alerts may still not have photos if the original listing did not include any.
statusesstring[]Current status of the listing.
active reserved hold sold rentedprice_fromintegerMinimum price value.
1–2147483647
price_tointegerMaximum price value.
1–2147483647
price_per_sqm_fromintegerMinimum value for price per square meter.
1–2147483647
price_per_sqm_tointegerMaximum value for price per square meter.
1–2147483647
bedrooms_fromintegerMinimum number of bedrooms.
0–15000
bedrooms_tointegerMaximum number of bedrooms.
0–15000
bathrooms_fromintegerMinimum number of bathrooms.
1–15000
bathrooms_tointegerMaximum number of bathrooms.
1–15000
total_area_fromintegerMinimum total area.
1–10000000
total_area_tointegerMaximum total area.
1–10000000
plot_area_fromintegerMinimum plot area.
1–10000000
plot_area_tointegerMaximum plot area.
1–10000000
construction_year_fromintegerMinimum construction year.
1–3000
construction_year_tointegerMaximum construction year.
1–3000
floorstringFloor type of the property. This field is deprecated and will be removed in the next major update. Please, use
floors field instead.no_floor ground middle topfloorsstring[]no_floor ground middle toporientationstringProperty view orientation.
exterior interiorviewstringView from the property. This field is deprecated and will be removed in the next major update. Please, use
views field instead.water landscape city golf parkviewsstring[]water landscape city golf parkdirectionstringCardinal direction the property faces. This field is deprecated and will be removed in the next major update. Please, use
directions field instead.north south east westdirectionsstring[]north south east westcharacteristicsstring[]Property characteristics.
balcony elevator no_elevator garage garden parking storage swimming_pool terrace rental_license furniture rented_out life_annuityalert_subtypesstring[]Alert subtypes.
new price_up price_down reserved delisted soldprivatebooleanWhether to return alerts only from properties listed by a private individual, as opposed to an agent or a professional.
auctionbooleanWhether to return alerts from auction property listings.
bankbooleanWhether to return alerts from bank property listings.
new_developmentbooleanWhether to return alerts from new development property listings.
listing_agentsstring[]Return alerts only for properties from specified agents. To find allowed agent names use the GET /api/v1/references/agents endpoint.
with_agenciesstring[]Return alerts only for properties from specified agencies, companies or sources. To find allowed agency names use the GET /api/v1/references/agencies endpoint.
without_agenciesstring[]Exclude alerts for properties from specified agencies, companies or sources. To find allowed agency names use the GET /api/v1/references/agencies endpoint.
exclusivebooleanWhether to return alerts exclusively from specific listings rather than from all related to the property listings. Can be passed only along with at least one of the fields:
private, with_agencies, without_agencies.ref_numbersstring[]List of reference numbers from listings.
has_phonebooleanWhether to return alerts only from listings with or without
phone number.has_emailbooleanWhether to return alerts only from listings with or without email.
has_agency_namebooleanWhether to return alerts only from listings with or without agency name.
property_idsinteger[]List of property IDs.
at most 100 items≥ 1
listing_idsinteger[]List of listing IDs.
at most 100 items≥ 1
userstring (email)Example from the API description (long arrays shortened)
{
"id": 887,
"name": "Apartments for sale in Cascais, Oeiras, Lisbon",
"filter": {
"operation": "sale",
"types": [
"apartment",
"studio"
],
"location_ids": [
2942,
1861
],
"conditions": [
"used",
"very-good"
],
"statuses": [
"active",
"reserved"
],
"price_from": 150000,
"price_to": 800000,
"price_per_sqm_from": 2000,
"price_per_sqm_to": 8000,
"bedrooms_from": 1,
"bedrooms_to": 3,
"total_area_from": 30,
"total_area_to": 130,
"construction_year_from": 1950,
"floors": [
"middle",
"top"
],
"views": [
"city"
],
"directions": [
"west",
"south"
],
"characteristics": [
"balcony",
"elevator"
],
"private": false,
"new_development": false,
"has_agency_name": true,
"has_email": false,
"without_agencies": [
"Airbnb",
"Casa.Sapo"
]
},
"user": "user@email.com"
}401 Unauthorized
Type: object.
Show the response shape (1 fields)
detailstringDescription of the error encountered.
403 Forbidden
Type: object.
Show the response shape (1 fields)
detailstringDescription of the error encountered.
404 Not Found
Type: object.
Show the response shape (1 fields)
detailstringNot found.